PACKAGE-CLEANUP(1)

NOM
package-cleanup – Nettoyage des paquets installés localement, en double ou orphelins

C’est une bibliothèque d’interception d’appel (shim) basée sur DNF imitant l’utilitaire package-cleanup basé sur YUM.

SYNOPSIS

package-cleanup [options]

OPTIONS

Toutes les options générales de DNF sont acceptées ; voir Options dans dnf(8) pour les détails.

    --leaves
        Listage des nœuds de feuilles dans la base de données RPM locale. Les nœuds de feuilles sont des RPM qui ne sont pas invoqués par d’autres RPM. Cela correspond à dnf repoquery --unneeded.

    --orphans
        Listage des paquets installés qui ne sont pas disponibles à partir des dépôts actuellement configurés. Cela correspond à dnf repoquery --extras.

    --problems
        Listage des problèmes de dépendances dans la base de données RPM locale. Cela correspond à dnf repoquery --unsatisfied.

    --dupes
        Recherche de doublons dans la base de données RPM locale. Cela correspond à dnf repoquery --duplicates.

    --cleandupes
        Recherche de doublons dans la base de données RPM locale et suppression des anciennes versions. Cela correspond à dnf remove --duplicates.

EXEMPLES

    package-cleanup --problems
        Listage de tous les problèmes de dépendance.

    package-cleanup --orphans
        Listage de tous les paquets absents des dépôts DNF.

    package-cleanup --cleandupes
        Suppression de tous les paquets ayant un doublon installé.

AUTEUR
Consulter les AUTEURS dans votre distribution principale de greffons de DNF.

COPYRIGHT
2014, Red Hat, sous licence GPLv2+

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.